MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIOverrideDimensionsData Struct Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverrideDimensionsData:
[legend]

## Public Member Functions
| LTIOverrideDimensionsData ()
LT_STATUS | setDimensions (lt_uint32 width, lt_uint32 height)
| set width and height of the image More...

## Public Attributes
lt_uint32 | m_width
lt_uint32 | m_height

## Detailed Description

Definition at line 56 of file lti_imageStageOverrides.h.

## Constructor & Destructor Documentation

LTIOverrideDimensionsData::LTIOverrideDimensionsData | ( | ) |  |

## Member Function Documentation

LT_STATUS LTIOverrideDimensionsData::setDimensions | ( | lt_uint32 | width,
|  | lt_uint32 | height
| ) |  |

This function is used to set the dimensions (width and height) of the image.

Derived classes are required to call this function from within their initialize() method.

Parameters

  width | the image width, in pixels
  height | the image height, in pixels

Returns
  status code indicating success or failure

Examples:
  DerivedImageReader.cpp.

## Member Data Documentation

lt_uint32 LTIOverrideDimensionsData::m_height

Definition at line 75 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideDimensions< LTIOverridePixelProps< LTIOverrideBackgroundPixel< LTIOverrideGeoCoord< LTIOverrideMagnification< LTIOverrideIsSelective< LTIOverrideStripHeight< LTIOverrideDelegates< LTIOverridePixelLookupTables< LTIOverrideMetadata< LTIImageStage > > > > > > > > > >::getHeight().

lt_uint32 LTIOverrideDimensionsData::m_width

Definition at line 74 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideDimensions< LTIOverridePixelProps< LTIOverrideBackgroundPixel< LTIOverrideGeoCoord< LTIOverrideMagnification< LTIOverrideIsSelective< LTIOverrideStripHeight< LTIOverrideDelegates< LTIOverridePixelLookupTables< LTIOverrideMetadata< LTIImageStage > > > > > > > > > >::getWidth().

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech